## Class TDummyDataSourceIterator

Description

Implements interfaces:

TDummyDataSourceIterator class

TDummyDataSourceIterator implements Iterator interface.

TDummyDataSourceIterator is used by TDummyDataSource. It allows TDummyDataSource to return a new iterator for traversing its dummy items.

- since: 3.0
- version: $Id: TDummyDataSource.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TDummyDataSource.php (line 83)

Method Summary
TDummyDataSourceIterator __construct (integer $count)
mixed current ()
integer key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 92)

Constructor.

- access: public

TDummyDataSourceIterator __construct (integer $count)

- integer $count: number of (virtual) items in the data source.

current (line 122)

Returns the current array item.

This method is required by the interface Iterator.

- return: the current array item
- access: public

mixed current ()
key (line 112)

Returns the key of the current array item.

This method is required by the interface Iterator.

- return: the key of the current array item
- access: public

integer key ()
next (line 131)

Moves the internal pointer to the next array item.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 102)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 141)

Returns whether there is an item at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:34:58 -0400 by phpDocumentor 1.3.0RC4